library(dplyr)
library(stringr)

final_all <- rbind(gtm_news, gtm_shopping, news_all, shopping_all)
no_self <- filter(final_all, source != target )

cleaned_all <- filter(final_all, num_gt!=0)

tmp <- filter(final_all, gui_mapper == 'perfect' & reduction <=0)



shopping_self <- filter(shopping_all, source == target)
shopping_noself <- filter(shopping_all, source != target)

all_noGT <- filter(all, num_gt != 0)

gtm_both_cat_noGT <- filter(gtm_both_cat_noGT, num_gt!=0)

# filter a specific row
tmp <- shopping_all[7,]

# filter specific rows
tmp <- shopping_all[ c(129, 127), ]

# filter using string contains
tmp <- filter(shopping_all, str_detect(shopping_all$method, 'testSignIn()'), target == '6pm')
# dataframe substraction
shopping_all <- setdiff(shopping_all, tmp)


gtm_both_cat <- rbind(gtm_news, gtm_shopping)

gtm_shopping_nogtnull <- filter(gtm_shopping, gt_events != '')

tmp <- filter(gtm_shopping, str_detect(gtm_shopping$method, 'testSignIn()'), target == '6pm')
gtm_shopping <- setdiff(gtm_shopping, tmp)

# create auxiliary data frames
# news_all_with_gtm <- rbind(news_all,gtm_news)
# test_cases_news <- list()
# for(i in 1:length(unique(news_all_with_gtm$method))) test_cases_news[i] <- unique(news_all_with_gtm$method)[i]
# news_by_test_cases <- list()
# for(val in test_cases_news) news_by_test_cases[[val]] <- filter(news_all_with_gtm,method==val)
# gui_mm <- unique(news_all_with_gtm$gui_mapper)
# for(val1 in test_cases_news)
# {
#   for(val2 in gui_mm)
#   {
#     counter[[val1]][[val2]] <- nrow(filter(news_by_test_cases[[val1]],gui_mapper==val2))
#   }
# }
