library("dplyr")
library("stringr")

attach(cleaned_all)
cleaned_12 <- cleaned_all[ which((source == 'etsy' |
                                source == 'wish' |
                                source == 'geek') &
                               (target == 'etsy' |
                                  target == 'wish' |
                                  target == 'geek') &
                                 source != target), ]

cleaned_12 <- cleaned_12 %>%
  filter(str_detect(method, " testSignIn()") | str_detect(method, "testSignUp()"))

final_12 %>%
  group_by(gui_mapper) %>%
  summarize(
            # correct = mean(num_correct/num_src*100, na.rm = TRUE),
            # incorrect = mean(num_incorrect/num_src*100, na.rm = TRUE),
            # missed = mean(num_missed/num_src*100, na.rm = TRUE),
            # nonExist = mean(num_nonExist/num_src*100, na.rm = TRUE),
            precision = mean(accuracy_precision*100, na.rm = TRUE),
            recall = mean(accuracy_recall*100, na.rm = TRUE),
            # accuracy = mean(accuracy*100, na.rm = TRUE),
            distance = mean(distance, na.rm = TRUE),
            reduction = mean(reduction, na.rm = TRUE),
            number = n())

# final_craft12$accuracy_precision.x[final_craft12$accuracy_precision.x>1] <- 1
