library(dplyr)

app_list <- list()
for(i in 1:length(unique(all$source))) app_list[i] <- unique(all$source)[i]
per_app_frame <- list()
filtered_all <- distinct(all,method,.keep_all=TRUE)
for(val in app_list) per_app_frame[[val]] <- filter(filtered_all, source == val)
event_count <- list()
for(val in app_list) event_count[[val]] <- sum(per_app_frame[[val]]$num_src)
test_count <- list()
for(val in app_list) test_count[[val]] <- length(per_app_frame[[val]]$method)
event_by_test <- list()
for(val in app_list) event_by_test[[val]] <- event_count[[val]]/test_count[[val]]
