library(dplyr) 

# shopping_all
# group by gui mapper
final_all %>%
  group_by(method) %>%
  summarize(
            # correct = mean(num_correct/num_src*100, na.rm = TRUE),
            # incorrect = mean(num_incorrect/num_src*100, na.rm = TRUE),
            # missed = mean(num_missed/num_src*100, na.rm = TRUE),
            # nonExist = mean(num_nonExist/num_src*100, na.rm = TRUE),
            # precision = mean(accuracy_precision*100, na.rm = TRUE),
            # recall = mean(accuracy_recall*100, na.rm = TRUE),
            # accuracy = mean(accuracy*100, na.rm = TRUE),
            # distance = mean(distance, na.rm = TRUE),
            # reduction = mean(reduction*100, na.rm = TRUE),
            num_src = sum(num_src),
            number = n())

# shopping_nogtnull
# group by gui mapper
shopping_nogtnull %>%
  group_by(gui_mapper) %>%
  summarize(precision = mean(accuracy_precision*100, na.rm = TRUE),
            recall = mean(accuracy_recall*100, na.rm = TRUE),
            accuracy = mean(accuracy*100, na.rm = TRUE),
            distance = mean(distance, na.rm = TRUE),
            reduction = mean(reduction, na.rm = TRUE),
            trans_num = mean(num_trans, na.rm = TRUE),
            number = n())


# shopping_self
# group by gui mapper
shopping_self %>%
  group_by(gui_mapper) %>%
  summarize(precision = mean(accuracy_precision*100, na.rm = TRUE),
            recall = mean(accuracy_recall*100, na.rm = TRUE),
            accuracy = mean(accuracy*100, na.rm = TRUE),
            distance = mean(distance, na.rm = TRUE),
            reduction = mean(reduction, na.rm = TRUE),
            trans_num = mean(num_trans, na.rm = TRUE),
            number = n())

# shopping_noselft
# group by gui mapper
shopping_noself %>%
  group_by(gui_mapper) %>%
  summarize(precision = mean(accuracy_precision*100, na.rm = TRUE),
            recall = mean(accuracy_recall*100, na.rm = TRUE),
            distance = mean(distance, na.rm = TRUE),
            reduction = mean(reduction, na.rm = TRUE),
            number = n())
